package vishnu.testvis.sammon;

import java.util.*;
import vishnu.datablock.*;
import vishnu.testvis.object.ClusterObj;

public class SammCluster {

    // The co-ordinates of the centroid in the keyword space
    //public Vector centroid  = null;

    Point2D sammon;

    // The documents ID contained in this cluster
    public Vector documentIDs = new Vector();
    public int[] sigWords;
    private boolean selected =false;
    private ClusterObj cObj;
    public int getSize() { return documentIDs.size();}

    // When looking for a particular cluster in a vector
    /*public boolean equals(Object obj) {

      System.out.println("Equals " + obj.getClass());

        if (obj instanceof MyInteger)
        return (documentIDs.size() == ((MyInteger) obj).value);

          return super.equals(obj);

            }
    */
    // Co-ordinates of the cluster centroid in the 2 dimension space
    private double x;

    private double y;

    // Displayed size of the cluster
    private int displayedRadius;

    public void setDisplayedRadius(int value) {displayedRadius = value;}

    public int getDisplayedRadius() {return displayedRadius;}


    //private int numDocs;

    // TEMPORARY: For random generator

    public SammCluster(Vector theDocs, Point2D sammon,
          int [] sigWords, ClusterObj c)
    {
        documentIDs = theDocs;
        this.sammon = sammon;
        this.sigWords=sigWords;
        this.cObj=c;
    }

    public boolean getSelected() {return selected;}
    public void setSelected(boolean state){selected=state;}

    double getX() {return sammon.x;}

    double getY() {return sammon.y;}

    public ClusterObj getClusterObj(){ return cObj;}

    //int getNumDocs() {return numDocs;}

    public Vector getIDs() {return documentIDs;}

    void addDocumentID(Integer docID) {
        documentIDs.addElement(docID);
    }

   // void setClusterCentroid(Vector centroid) {
   //     this.centroid = centroid;

    int [] getWords() { return sigWords;}

    void dump()
    {
        //System.out.println("Centroid : " + centroid.toString());
        //System.out.println("Doc IDs: " + documentIDs.toString());
    }
}
